Bug 180378 - Segmentation fault on IBM pSeries in SCSI probing
Summary: Segmentation fault on IBM pSeries in SCSI probing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: rawhide
Hardware: ppc64 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-07 18:51 UTC by Paul Nasrat
Modified: 2014-03-17 02:58 UTC (History)
2 users (show)

Fixed In Version: 1.2.25-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 02:40:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
POWER 3 pSeries sysfs (91.09 KB, application/octet-stream)
2006-02-07 19:16 UTC, Paul Nasrat
no flags Details

Description Paul Nasrat 2006-02-07 18:51:41 UTC
Description of problem:

loader received SIGSEGV!

Version-Release number of selected component (if applicable):


How reproducible:

Boot boot.iso on an IBM power box with scsi.
  
Actual results:


loader received SIGSEGV!.  Backtrace:
[0x10000d68]
[0x100374]
[0x100267a0]
[0x100238ec]
[0x10006270]
[0x1000722c]
[0x10011260]
[0x10002524]
[0x1009ede0]
[0x1009ef60]


With debug

[0x10000e18] signal handler
[0x100374]
[0x10027a24] scsiProbe (kudzu)
[0x10024b70] probeDevices
[0x10006610]
[0x100076c8]
[0x10011dc4]
[0x10002670]
[0x100a05c0]
[0x100a0740]


Expected results:

Happy, fluffy install.

Additional info:

disas

0x10027a08 <scsiProbe+640>:     bl      0x100bc3b8 <strdup>
0x10027a0c <scsiProbe+644>:     stw     r3,16(r28)
0x10027a10 <scsiProbe+648>:     lwz     r0,16(r28)
0x10027a14 <scsiProbe+652>:     cmpwi   cr7,r0,0
0x10027a18 <scsiProbe+656>:     beq-    cr7,0x10027ae4 <scsiProbe+860>
0x10027a1c <scsiProbe+660>:     mr      r3,r27
0x10027a20 <scsiProbe+664>:     bl      0x100c1a80 <readdir>
0x10027a24 <scsiProbe+668>:     mr.     r29,r3
0x10027a28 <scsiProbe+672>:     beq-    0x10027b18 <scsiProbe+912>
0x10027a2c <scsiProbe+676>:     addi    r31,r29,11
0x10027a30 <scsiProbe+680>:     lwz     r4,-784(r30)
0x10027a34 <scsiProbe+684>:     mr      r3,r31
0x10027a38 <scsiProbe+688>:     li      r5,6
0x10027a3c <scsiProbe+692>:     bl      0x100bc970 <strncmp>
0x10027a40 <scsiProbe+696>:     cmpwi   cr7,r3,0
0x10027a44 <scsiProbe+700>:     beq-    cr7,0x100279e0 <scsiProbe+600>
0x10027a48 <scsiProbe+704>:     lwz     r4,-780(r30)
0x10027a4c <scsiProbe+708>:     mr      r3,r31
0x10027a50 <scsiProbe+712>:     li      r5,5
0x10027a54 <scsiProbe+716>:     bl      0x100bc970 <strncmp>
0x10027a58 <scsiProbe+720>:     cmpwi   cr7,r3,0
0x10027a5c <scsiProbe+724>:     bne+    cr7,0x100279ec <scsiProbe+612>
0x10027a60 <scsiProbe+728>:     mr      r3,r31

Comment 1 Bill Nottingham 2006-02-07 19:01:51 UTC
Can you tar up sysfs on the box and attach it?

Comment 2 Paul Nasrat 2006-02-07 19:16:52 UTC
Created attachment 124331 [details]
POWER 3 pSeries sysfs

sysfs rsync'd from rescue mode then tarred up.

Comment 3 Bill Nottingham 2006-02-07 19:33:47 UTC
Hrm, a quick retargeting of that scsi probe at the sysfs tree doesn't crash. Do
you have the host adapter loaded at that time (there's no scsi devices in the
tree...)

Comment 4 Paul Nasrat 2006-02-07 23:24:08 UTC
FC5T2 - dhcp64.install.boston.redhat.com.  Updated and built anaconda/loader so
I have the symbols to hand:

0x10001828 loaderSegvHandler + 56

0x100374
0x10027844 scsiProbe + 644
0x10024990 probeDevices + 136
0x100063e0 scsiDiskCount + 32
0x10007498 doLoadModules + 2216
0x10011be4 busProbe + 1060
0x10002380 main + 1504
0x100a0430 generic_start_main + 656
0x100a05b0 __libc_start_main +164




Comment 5 Bill Nottingham 2006-02-08 02:31:45 UTC
Where is this supposed to crash in the loader?

Comment 6 Bill Nottingham 2006-02-08 02:40:19 UTC
Aha, fixed in 1.2.25-1.


Note You need to log in before you can comment on or make changes to this bug.